Bug 807366 - Can't specify netgroup host, user category to all in Web UI
Summary: Can't specify netgroup host, user category to all in Web UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-27 15:35 UTC by Dmitri Pal
Modified: 2012-06-20 13:25 UTC (History)
4 users (show)

Fixed In Version: ipa-2.2.0-9.el6
Doc Type: Bug Fix
Doc Text:
Cause: Netgroup page didn't have input fields for specifying 'all' options. Consequence: User couldn't specify 'all' option for host category and user category, Fix: Whole netgroup page was redesigned. Result: User can specify user and host category in similar fashion as in SUDO page.
Clone Of:
Environment:
Last Closed: 2012-06-20 13:25:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0819 normal SHIPPED_LIVE ipa bug fix and enhancement update 2012-06-19 20:34:17 UTC

Description Dmitri Pal 2012-03-27 15:35:45 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2578

In CLI we can specify user and host category to all using option --usercat=all resp. --hostcat=al, Web UI lacks this feature.

Comment 1 Petr Vobornik 2012-04-10 11:33:30 UTC
Fixed upstream:

master: 26abd05d5ece4ad03da5abdd3a25377594a54593

ipa-2-2: 7a9da0b1b20fbb8754fcd80618f92c74dce3dcf3

Comment 3 Petr Vobornik 2012-04-26 13:24:03 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Netgroup page didn't have input fields for specifying 'all' options.
Consequence: User couldn't specify 'all' option for host category and user category,
Fix: Whole netgroup page was redesigned.
Result: User can specify user and host category in similar fashion as in SUDO page.

Comment 4 Namita Soman 2012-05-03 18:16:51 UTC
Verified using ipa-server-2.2.0-12.el6.x86_64

Can specify user and host category to all in UI

Comment 6 errata-xmlrpc 2012-06-20 13:25:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0819.html


Note You need to log in before you can comment on or make changes to this bug.